#include <sys/indirect.h>
#include "tscreen.h"

extern ILinfo far * far tscreen_get_info();
extern void far move(int y, int x);
extern int far getcurx();
extern int far getcury();
extern void far addch(int c);
extern void far insch(int c);
extern void far delch();
extern void far addstr(char far *string);
extern void far insertln();
extern void far deleteln();
extern int far initscr();
extern int far getscr();
extern void far endwin();
extern void far set_stdout_flag(int flag);
extern int far get_stdout_flag();
TScreenIL tscreenIL = {
    {
      0,
	15,
	tscreen_get_info,
    },
    move,
    getcurx,
    getcury,
    addch,
    insch,
    delch,
    addstr,
    insertln,
    deleteln,

    initscr,
    getscr, 
    endwin, 
    set_stdout_flag,
    get_stdout_flag
};
